package cz.kebrt.unitcheck.junit;

import java.util.List;

/**
 * Extract names of test methods from a JUnit class.
 *
 * @author michal
 */
public interface TestMethodExtractor {

    /**
     * Returns the list of test method names from a JUnit class.
     *
     * @return the list of test method names from a JUnit class
     */
    List<String> getTestMethods();

}
